Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface CompositeEvent

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Event, org.eclipse.emf.common.notify.Notifier, SnapshotElement

All Known Implementing Classes:
  CompositeEventImpl

    public interface CompositeEvent

extends Event

A representation of the model object 'Composite Event'. Snapshot can break composite events into parts to simplify troubleshooting.

The following features are supported:

- `Parts`

See Also:
  `SnapshotPackage.getCompositeEvent()`

Method Summary
`org.eclipse.emf.common.util.EList<Event>` | `getParts()` Returns the value of the 'Parts' containment reference list.

Methods inherited from interface com.hammurapi.eventbus.snapshot.Event
`getDerivations, getPartRole, isDirectPost, setDirectPost, setPartRole`

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParts

    org.eclipse.emf.common.util.EList<Event> getParts()

  Returns the value of the 'Parts' containment reference list. The list contents are of type `Event`. Parts of composite event.

  Returns:
    the value of the 'Parts' containment reference list.
  See Also:
    `SnapshotPackage.getCompositeEvent_Parts()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD